package club.clubk.ktag.apps.koth.ui

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import club.clubk.ktag.apps.koth.ui.theme.KothBlack
import club.clubk.ktag.apps.koth.ui.theme.KothGreen
import club.clubk.ktag.apps.koth.ui.theme.SevenSegmentFont

@Composable
fun GameTimer(
    timeDisplay: String,
    modifier: Modifier = Modifier
) {
    Text(
        text = timeDisplay,
        fontFamily = SevenSegmentFont,
        fontSize = 60.sp,
        color = KothGreen,
        modifier = modifier
            .clip(RoundedCornerShape(8.dp))
            .background(KothBlack.copy(alpha = 0.9f))
            .padding(20.dp)
    )
}
